| TagLib 1.13 |  |

Namespaces | Classes | Typedefs | Enumerations
TagLib::ID3v2 Namespace Reference

An ID3v2 implementation. More...

## Namespaces
namespace | SynchData
| A few functions for ID3v2 synch safe integer conversion.

## Classes
class | AttachedPictureFrame
| An ID3v2 attached picture frame implementation. More...
class | AttachedPictureFrameV22
| support for ID3v2.2 PIC frames More...
class | ChapterFrame
| An implementation of ID3v2 chapter frames. More...
class | CommentsFrame
| An implementation of ID3v2 comments. More...
class | EventTimingCodesFrame
| ID3v2 event timing codes frame. More...
class | ExtendedHeader
| ID3v2 extended header implementation. More...
class | Footer
| ID3v2 footer implementation. More...
class | Frame
| ID3v2 frame implementation. More...
class | FrameFactory
| A factory for creating ID3v2 frames during parsing. More...
class | GeneralEncapsulatedObjectFrame
| An ID3v2 general encapsulated object frame implementation. More...
class | Header
| An implementation of ID3v2 headers. More...
class | Latin1StringHandler
| An abstraction for the ISO-8859-1 string to data encoding in ID3v2 tags. More...
class | OwnershipFrame
| An implementation of ID3v2 "ownership". More...
class | PodcastFrame
| ID3v2 podcast frame. More...
class | PopularimeterFrame
| An implementation of ID3v2 "popularimeter". More...
class | PrivateFrame
| An implementation of ID3v2 privateframe. More...
class | RelativeVolumeFrame
| An ID3v2 relative volume adjustment frame implementation. More...
class | SynchronizedLyricsFrame
| ID3v2 synchronized lyrics frame. More...
class | TableOfContentsFrame
| An implementation of ID3v2 table of contents frames. More...
class | Tag
| The main class in the ID3v2 implementation. More...
class | TextIdentificationFrame
| An ID3v2 text identification frame implementation. More...
class | UniqueFileIdentifierFrame
| An implementation of ID3v2 unique identifier frames. More...
class | UnknownFrame
| A frame type unknown to TagLib. More...
class | UnsynchronizedLyricsFrame
| ID3v2 unsynchronized lyrics frame. More...
class | UrlLinkFrame
| ID3v2 URL frame. More...
class | UserTextIdentificationFrame
| An ID3v2 custom text identification frame implementation. More...
class | UserUrlLinkFrame
| ID3v2 User defined URL frame. More...

## Typedefs
typedef Map< String, String > | KeyConversionMap
typedef List< Frame * > | FrameList
typedef Map< ByteVector, FrameList > | FrameListMap

## Enumerations
enum | Version { v3 = 3 , v4 = 4 }

## Detailed Description

An ID3v2 implementation.

This is a relatively complete and flexible framework for working with ID3v2 tags.

See also
  ID3v2::Tag

## Typedef Documentation

## ◆ FrameList

typedef List<Frame *> TagLib::ID3v2::FrameList

## ◆ FrameListMap

typedef Map<ByteVector, FrameList> TagLib::ID3v2::FrameListMap

## ◆ KeyConversionMap

typedef Map<String, String> TagLib::ID3v2::KeyConversionMap

## Enumeration Type Documentation

## ◆ Version

enum TagLib::ID3v2::Version

Used to specify which version of the ID3 standard to use when saving tags.

Enumerator
v3 |
v4 |